tbb::flow::interface8::sender< dependency_msg< T, Factory > > Class Template Referenceabstract
Inheritance diagram for tbb::flow::interface8::sender< dependency_msg< T, Factory > >:

## Public Types

typedef receiver < dependency_msg< T, Factory > > | dependency_successor_type
| The successor type for this sender.
typedef proxy_dependency_sender< T, Factory > | proxy

## Public Member Functions

virtual bool | register_successor (dependency_successor_type &r)=0
| Add a new successor to this node.
virtual bool | remove_successor (dependency_successor_type &r)=0
| Removes a successor from this node.
virtual bool | try_get (dependency_msg< T, Factory > &)
| Request an item from the sender.
virtual bool | try_reserve (dependency_msg< T, Factory > &)
| Reserves an item in the sender.
ordinary_sender & | ordinary_sender ()
bool | has_host_successors ()

The documentation for this class was generated from the following file:

- flow_graph_opencl_node.h

Copyright © 2005-2015 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.